# FLOAT data type

The FLOAT data type is an alias for a REAL or DOUBLE PRECISION data type, depending on the precision you specify.

#### Syntax

    FLOAT [ (precision) ]

The default precision for FLOAT is 53 and is equivalent to DOUBLE PRECISION. A precision of 23 or less makes FLOAT equivalent to REAL. A precision of 24 or greater makes FLOAT equivalent to DOUBLE PRECISION. If you specify a precision of 0, you get an error. If you specify a negative precision, you get a syntax error.

#### JDBC metadata type (java.sql.Types)

REAL or DOUBLE

#### Limitations

If you are using a precision of 24 or greater, the limits of FLOAT are similar to the limits of DOUBLE.

If you are using a precision of 23 or less, the limits of FLOAT are similar to the limits of REAL.

Parent topic: Data types